/*
 * C
 *
 * Copyright 2012-2013 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
 
#include "LLINPUT_impl.h"
#include "buttons.h"
#include "interrupts.h"
#include "os_support.h"
#include "microej.h"
#include <stdint.h>

// this h file is created by buildSystemMicroUI step
#include "microui_constants.h"

uint8_t LLINPUT_IMPL_initialize(void){
	buttonsInitialize();
	return MICROEJ_TRUE;
}

int32_t LLINPUT_IMPL_getInitialStateValue(int32_t stateMachinesID, int32_t stateID){
	// no state on this BSP
	return 0;
}

void LLINPUT_IMPL_enterCriticalSection() {
	OS_SUPPORT_disable_context_switching();
	disableButtonsInterrupts();
}

void LLINPUT_IMPL_leaveCriticalSection() {
	enableButtonsInterrupts();
	OS_SUPPORT_enable_context_switching();
}

