package com.is2t.example;

import ej.microui.EventGenerator;
import ej.microui.Listener;
import ej.microui.io.Buttons;

public class MicroUIButtons {

	public static void main(String[] args) throws Exception {
		EventGenerator[] eventGenerators = EventGenerator.get(Buttons.class);
		if (eventGenerators.length != 1) {
			System.out.println("Only expected one event generator but got " + eventGenerators.length);
			return;
		}
		eventGenerators[0].setListener(new Listener() {

			public void performAction(int event) {
				int buttonID = Buttons.getButtonID(event);
				if (buttonID != 0) {
					System.out.println("Unexpected event for button " + buttonID);
					return;
				}
				if (Buttons.getAction(event) == Buttons.PRESSED) {
					System.out.println("Wakeup button was pressed");
				} else if (Buttons.getAction(event) == Buttons.RELEASED) {
					System.out.println("Wakeup button was released");
				}
			}

			public void performAction(int value, Object object) {
				// not used
			}

			public void performAction() {
				// not used
			}
		});
	}
}
